.icon {
  display: inline-block;
  width: 1em;
  height: 1em;
  background-size: cover;
  filter: invert(78%) sepia(66%) saturate(823%) hue-rotate(356deg)
    brightness(100%) contrast(106%);
}

.icon:hover,
.icon:focus {
  filter: invert(100%) sepia(3%) saturate(12%) hue-rotate(103deg)
    brightness(105%) contrast(105%);
}

.icon-amazon {
  background-image: url(../images/amazon.svg);
}

.icon-bluesky {
  background-image: url(../images/bluesky.svg);
}

.icon-github {
  background-image: url(../images/github.svg);
}

.icon-google {
  background-image: url(../images/google.svg);
}

.icon-linkedin {
  background-image: url(../images/linkedin.svg);
}
